Package org.apache.wiki.pages.haddock

# Class LoginPage

java.lang.Object
org.apache.wiki.pages.haddock.LoginPage

All Implemented Interfaces:
  `HaddockPage`, `Page`

public class LoginPage extends Object implements HaddockPage
Actions available on the Login page.

## Constructor Summary

Constructors
Constructor
Description
`LoginPage()`

## Method Summary

Modifier and Type
Method
Description
`ViewWikiPage`
`performLogin()`
Logs in using Janne username and password.
`ViewWikiPage`
`performLogin(String login, String password)`
Logs in using the supplied username and password.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.pages.haddock.HaddockPage

`wikiPageContent, wikiTitle`

### Methods inherited from interface org.apache.wiki.pages.Page

`title, url`

## Constructor Details

### LoginPage

public LoginPage()

## Method Details

### performLogin

public ViewWikiPage performLogin()
Logs in using Janne username and password.

Returns:
  `ViewWikiPage` instance, to allow chaining of actions.

### performLogin

public ViewWikiPage performLogin(String login, String password)
Logs in using the supplied username and password.

Parameters:
  `login` - user login.
  `password` - user password.
Returns:
  `ViewWikiPage` instance, to allow chaining of actions.